Skip to main content
PATCH
Edit Customer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string
required

ID of the customer to change

Body

application/json
companyName
string

Name of the customer

Example:

"Test Company BV"

address
string

Street name and number of the customer

Example:

"Teststreet 123"

zipCode
string

Zip code of the customer

Example:

"1234AB"

city
string

City of the customer

Example:

"Amsterdam"

countryCode
string

ISO 3166-1 alpha-2 country code (2 letters)

Example:

"NL"

primaryEmail
string

Primary email of the customer. This will be used to send notification to.

Example:

"john.doe@test.com"

Response

Getting the updated customer

Customer

id
string

ID of the customer, always starting with cst_.

Example:

"cst_abc12345def678"

companyName
string

Name of the customer

Example:

"Test Company BV"

address
string

Street name and number of the customer

Example:

"Teststreet 123"

zipCode
string

Zip code of the customer

Example:

"1234AB"

city
string

City of the customer

Example:

"Amsterdam"

countryCode
string

The two-letter country code (ISO 3166-1 alpha-2)

Example:

"NL"

primaryEmail
string

Primary email of the customer. This will be used to send notification to.

Example:

"john.doe@test.com"

phone
string | null

Phone number, if available, including country code.

Example:

"+312012345678"

integration
string | null

If the customer is linked to a bookkeeping integration, the ID of the integration is set here.

Example:

"acumulus"

integrationId
string | null

If the customer is linked to a bookkeeping integration, the ID of the customer in the integration is set here.

Example:

"123456789"

customerGroups
string[]

An array of Customer Group IDs of which this customer is part of

createdAt
string

Date and time when the customer is added to MijnKlantportaal. Written in ATOM format.

Example:

"2024-04-28T21:00:00+02:00"